MediaAccessAuthorization

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.media
Interface MediaAccessAuthorization

    public interface MediaAccessAuthorization

A ``MediaAccessAuthorization`` object represents the presentation authorization given by a registered `MediaAccessHandler` for a specific A/V content. When the ``MediaAccessHandler`` is called by the OCAP implementation, it returns a ``MediaAccessAuthorization`` to indicate presentation authorization, and a reason for denied access (use constant defined in `AlternativeMediaPresentationReason`).

See Also:
  `MediaAccessHandler`, `AlternativeMediaPresentationReason`

Method Summary
`int` | `getDenialReason()` Returns the reason when presentation is denied.
`long` | `getDuration()` Gets the duration to block the service.
`Date` | `getStartTime()` Gets the wall clock start time to begin service blocking.
`boolean` | `isDenied()` Indicates if the pending presentation changes are denied.

Method Detail

### isDenied

    boolean isDenied()

  Indicates if the pending presentation changes are denied. This method MAY allow authorization for blocked programs, but does not affect conditional access entitlements.

  Returns:
    True if the presentation is denied.

### getDenialReason

    int getDenialReason()

  Returns the reason when presentation is denied. Denial reasons are defined in ``AlternativeMediaPresentationReason``.

  Returns:
    The reason for presentation denial.

### getStartTime

    Date getStartTime()

  Gets the wall clock start time to begin service blocking. The time returned over-rides any corresponding `BlockingService` start-time.

  Returns:
    Blocked service start time.

### getDuration

    long getDuration()

  Gets the duration to block the service. The duration returned over-rides any corresponding `BlockingService` duration.

  Returns:
    The duration in milli-seconds to block the service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD